import pygame
from pygame.locals import *
import sys

import cursor

class Gameover():
    def __init__(self):
        self.select = 0
        self.menu_font = pygame.font.Font("data/minamoji04.ttf", 32)

        self.retry = self.menu_font.render(u"リトライ", True, (0, 0, 0)) # 文字色を変更
        self.exit = self.menu_font.render(u"やめる", True, (0, 0, 0)) # 文字色を変更

        self.cursor = cursor.Cursor(220, 230, (0, 0, 0)) # 色を変更

    def update(self):
        if self.select == 0:
            self.cursor.y = 230
        elif self.select == 1:
            self.cursor.y = 280

    def draw(self, screen):
        screen.fill((255, 0, 0)) # 背景を赤に
        screen.blit(self.retry, ((320 - (self.retry.get_width() / 2)), 225))
        screen.blit(self.exit, ((320 - (self.exit.get_width() / 2)), 275))
        self.cursor.draw(screen)
