import pygame
from pygame.locals import *

import tools

class Item(pygame.sprite.Sprite):
    speed = 5

    def __init__(self, time, x):
        pygame.sprite.Sprite.__init__(self, self.containers)
        self.image = tools.load_image("data", "item.png", -1)
        self.rect = self.image.get_rect()
        self.rect.center = (x, -24)
        self.frame = 0
        self.exist = False
        self.time = time

    def update(self):
        self.frame += 1
        if self.frame > self.time:
            self.exist = True

        if self.exist == True:
            self.rect.move_ip(0, self.speed)
            if self.rect.top >= 480:
                self.kill()
        
